OGRE: Ogre::ScriptTranslator Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::ScriptTranslator Class Referenceabstract
Core » General

This class translates script AST (abstract syntax tree) into Ogre resources. More...

`#include <OgreScriptTranslator.h>`

Inheritance diagram for Ogre::ScriptTranslator:
[legend]

## Public Member Functions
void | operator delete (void *ptr)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete (void *ptr, void *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
void * | operator new (size_t sz)
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info More...
void * | operator new (size_t sz, void *ptr)
| placement operator new More...
void * | operator new[] (size_t sz)
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info More...
virtual void | translate (ScriptCompiler *compiler, const AbstractNodePtr &node)=0
| This function translates the given node into Ogre resource(s). More...

## Detailed Description

This class translates script AST (abstract syntax tree) into Ogre resources.

It defines a common interface for subclasses which perform the actual translation.

## Member Function Documentation

## ◆ operator delete() [1/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete() [2/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator delete() [3/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |
| ) |  |
| inlineinherited

## ◆ operator delete[]() [1/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete[]() [2/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator new() [1/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new() [2/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

operator new, with debug line info

## ◆ operator new() [3/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr
| ) |  |
| inlineinherited

placement operator new

## ◆ operator new[]() [1/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new[]() [2/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

array operator new, with debug line info

## ◆ translate()

virtual void Ogre::ScriptTranslator::translate | ( | ScriptCompiler * | compiler,
|  | const AbstractNodePtr & | node
| ) |  |
| pure virtual

This function translates the given node into Ogre resource(s).

Parameters

  compiler | The compiler invoking this translator
  node | The current AST node to be translated

Implemented in Ogre::CompositorPassTranslator, Ogre::CompositorStoreActionTranslator, Ogre::CompositorLoadActionTranslator, Ogre::CompositorShadowMapTargetTranslator, Ogre::CompositorShadowMapRepeatTranslator, Ogre::CompositorShadowMapTargetTypeTranslator, Ogre::CompositorTargetTranslator, Ogre::CompositorRenderTargetViewTranslator, Ogre::CompositorShadowNodeTranslator, Ogre::CompositorNodeTranslator, Ogre::CompositorWorkspaceTranslator, Ogre::ParticleAffectorTranslator, Ogre::ParticleEmitterTranslator, Ogre::ParticleSystemTranslator, Ogre::SharedParamsTranslator, Ogre::GpuProgramTranslator, Ogre::TextureSourceTranslator, Ogre::TextureUnitTranslator, Ogre::PassTranslator, Ogre::TechniqueTranslator, Ogre::MaterialTranslator, Ogre::HlmsTranslator, and Ogre::RTShader::SGScriptTranslator.

The documentation for this class was generated from the following file:

- OgreScriptTranslator.h